//---------------------------------------------------------------------------
#ifndef VADODataSourceOrderingH
#define VADODataSourceOrderingH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <ADOdb.hpp>
#include "VCustomDataSourceOrdering.h"
//---------------------------------------------------------------------------
class PACKAGE TVADODataSourceOrdering : public TVCustomDataSourceOrdering
 {
  private      :
  TADOQuery                        *FADOQuery;

  void          __fastcall          SetQuery    (TADOQuery  *Value);
  TADOQuery*    __fastcall          GetQuery    (void);

  AnsiString    __fastcall          GetVeritableFieldName
                                    (AnsiString   StoreFieldNameStr);
  protected    :
  public       :
                __fastcall          TVADODataSourceOrdering(TComponent  *Owner);
  void          __fastcall virtual  UpdateQuery (void);
  __published  :
  __property   TADOQuery*  Query  = {read=GetQuery,write=SetQuery,default=NULL};
 };
//---------------------------------------------------------------------------
#endif
 