//---------------------------------------------------------------------------

#ifndef VComboBoxH
#define VComboBoxH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>

enum TVFilterFieldType
 {
  csFieldTypeString    ,
  csFieldTypeDigit     ,
  csFieldTypeDate
 };

//---------------------------------------------------------------------------
class PACKAGE TVComboBox : public TCustomComboBox
{
private:
        TVFilterFieldType FType;
        void __fastcall OnKillFocus(TObject *Sender);
        void __fastcall SetType(TVFilterFieldType value);
        TVFilterFieldType __fastcall GetType();

protected:
public:
        __fastcall TVComboBox(TComponent* Owner);
__published:
        __property TVFilterFieldType Type  = { read=GetType, write=SetType, default =csFieldTypeString};
        __property Text;
        __property Items;
        __property OnChange;
        __property TabOrder;
        __property MaxLength;
};
//---------------------------------------------------------------------------
#endif
