//---------------------------------------------------------------------------

#ifndef VDBSortGridH
#define VDBSortGridH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <RXDBCtrl.h>
#include <DBGrids.hpp>
#include <Grids.hpp>
#include <VCustomDataSourceOrdering.h>
//---------------------------------------------------------------------------
class PACKAGE TVDBSortGrid : public TRxDBGrid
 {
  private     :
  TVCustomDataSourceOrdering  *FDataSourceOrdering;

  void                         __fastcall SetDataSourceOrdering(TVCustomDataSourceOrdering  *Value);
  TVCustomDataSourceOrdering*  __fastcall GetDataSourceOrdering(void);

                               //    
  void                         __fastcall SortGridTitleButtonClick
                                          (TObject        *Sender,
                                           int             ACol,
                                           TField         *Field);

  void                         __fastcall SortGridGetButtonParams
                                          (TObject        *Sender,
                                           TField         *Field,
                                           TFont          *AFont,
                                           TColor         &Background,
                                           TSortMarker    &SortMarker,
                                           bool            IsDown);

  void                         __fastcall SetDataToClipboard(void);

  protected   :
  virtual void                 __fastcall DefaultHandler    (void *Message);

  public      :
                               __fastcall TVDBSortGrid(TComponent* Owner);
 __published  :
 __property
 TVCustomDataSourceOrdering*   DataSourceOrdering = {read=GetDataSourceOrdering,write=SetDataSourceOrdering};
};
//---------------------------------------------------------------------------
#endif
