//---------------------------------------------------------------------------

#ifndef VegaRepChoiceDateControlH
#define VegaRepChoiceDateControlH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <comctrls.hpp>

//---------------------------------------------------------------------------
class PACKAGE TVegaRepChoiceDateControl : public TWinControl
{
 private          :
                         //   
 TDateTime               DateTimePickerOldDate;

                         //  
 TDateTime               FDocActionDate;
 TDateTime               FReportActionDate;
 TDateTime               FResultChoiceDate;
 AnsiString              FDateCaption;

 void   __fastcall       SetDocActionDate   (const TDateTime  DocActionDate);
 void   __fastcall       SetReportActionDate(const TDateTime  ReportActionDate);
 void   __fastcall       SetResultChoiceDate(const TDateTime  ResultChoiceDate);
 void   __fastcall       SetDateCaption     (const AnsiString DateCaption);

                         //  
 TGroupBox              *GroupBoxPtr;
 TLabel                 *TitleDateLabelPtr;
 TDateTimePicker        *DateTimePickerPtr;
 TRadioButton           *ChoiceDateRadioButtonPtr;
 TRadioButton           *CurrentDateRadioButtonPtr;
 TRadioButton           *DocActionDateRadioButtonPtr;

                         //    
 void __fastcall         ChoiceDateRadioButtonClick   (TObject *Object);
 void __fastcall         CurrentDateRadioButtonClick  (TObject *Object);
 void __fastcall         DocActionDateRadioButtonClick(TObject *Object);
 void __fastcall         DateTimePickerChange         (TObject *Object);

 protected       :
 public          :
        __fastcall       TVegaRepChoiceDateControl(TComponent* Owner);

 __property TDateTime    DocActionDate    = {read  = FDocActionDate,
                                             write = SetDocActionDate};
 __property TDateTime    ReportActionDate = {read  = FReportActionDate,
                                             write = SetReportActionDate};
 __property TDateTime    ResultChoiceDate = {read  = FResultChoiceDate,
                                             write = SetResultChoiceDate};
 __published     :

 __property AnsiString   DateCaption      = {read  = FDateCaption,
                                             write = SetDateCaption};
};
//---------------------------------------------------------------------------
#endif
